[Domains] Update domain WHOIS contacts
curl --request PUT \
--url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/domains/{id}/contacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"registrant_first_name": "<string>",
"registrant_last_name": "<string>",
"registrant_organization": "<string>",
"registrant_email": "jsmith@example.com",
"registrant_phone": "<string>",
"registrant_address_1": "<string>",
"registrant_address_2": "<string>",
"registrant_city": "<string>",
"registrant_state": "<string>",
"registrant_postcode": "<string>",
"registrant_country": "<string>",
"admin_first_name": "<string>",
"admin_last_name": "<string>",
"admin_organization": "<string>",
"admin_email": "jsmith@example.com",
"admin_phone": "<string>",
"admin_address_1": "<string>",
"admin_address_2": "<string>",
"admin_city": "<string>",
"admin_state": "<string>",
"admin_postcode": "<string>",
"admin_country": "<string>",
"tech_first_name": "<string>",
"tech_last_name": "<string>",
"tech_organization": "<string>",
"tech_email": "jsmith@example.com",
"tech_phone": "<string>",
"tech_address_1": "<string>",
"tech_address_2": "<string>",
"tech_city": "<string>",
"tech_state": "<string>",
"tech_postcode": "<string>",
"tech_country": "<string>"
}
'import requests
url = "https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/domains/{id}/contacts"
payload = {
"registrant_first_name": "<string>",
"registrant_last_name": "<string>",
"registrant_organization": "<string>",
"registrant_email": "jsmith@example.com",
"registrant_phone": "<string>",
"registrant_address_1": "<string>",
"registrant_address_2": "<string>",
"registrant_city": "<string>",
"registrant_state": "<string>",
"registrant_postcode": "<string>",
"registrant_country": "<string>",
"admin_first_name": "<string>",
"admin_last_name": "<string>",
"admin_organization": "<string>",
"admin_email": "jsmith@example.com",
"admin_phone": "<string>",
"admin_address_1": "<string>",
"admin_address_2": "<string>",
"admin_city": "<string>",
"admin_state": "<string>",
"admin_postcode": "<string>",
"admin_country": "<string>",
"tech_first_name": "<string>",
"tech_last_name": "<string>",
"tech_organization": "<string>",
"tech_email": "jsmith@example.com",
"tech_phone": "<string>",
"tech_address_1": "<string>",
"tech_address_2": "<string>",
"tech_city": "<string>",
"tech_state": "<string>",
"tech_postcode": "<string>",
"tech_country": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
registrant_first_name: '<string>',
registrant_last_name: '<string>',
registrant_organization: '<string>',
registrant_email: 'jsmith@example.com',
registrant_phone: '<string>',
registrant_address_1: '<string>',
registrant_address_2: '<string>',
registrant_city: '<string>',
registrant_state: '<string>',
registrant_postcode: '<string>',
registrant_country: '<string>',
admin_first_name: '<string>',
admin_last_name: '<string>',
admin_organization: '<string>',
admin_email: 'jsmith@example.com',
admin_phone: '<string>',
admin_address_1: '<string>',
admin_address_2: '<string>',
admin_city: '<string>',
admin_state: '<string>',
admin_postcode: '<string>',
admin_country: '<string>',
tech_first_name: '<string>',
tech_last_name: '<string>',
tech_organization: '<string>',
tech_email: 'jsmith@example.com',
tech_phone: '<string>',
tech_address_1: '<string>',
tech_address_2: '<string>',
tech_city: '<string>',
tech_state: '<string>',
tech_postcode: '<string>',
tech_country: '<string>'
})
};
fetch('https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/domains/{id}/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"progress": 123,
"created": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}Domains
[Domains] Update domain WHOIS contacts
Update the WHOIS contact information for a domain including registrant, administrative, technical, and billing contacts. Contact changes are submitted to the registry and may require verification depending on the TLD. Some registries may initiate a transfer verification process when changing registrant information.
PUT
/
v1
/
organizations
/
{organization_id}
/
projects
/
{project_id}
/
domains
/
{id}
/
contacts
[Domains] Update domain WHOIS contacts
Authorizations
Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).
Path Parameters
The unique identifier (UUID) of the domain
Body
application/json
Maximum string length:
100Maximum string length:
100Maximum string length:
255Maximum string length:
50Maximum string length:
255Maximum string length:
255Maximum string length:
100Maximum string length:
100Maximum string length:
20Maximum string length:
2Maximum string length:
100Maximum string length:
100Maximum string length:
255Maximum string length:
50Maximum string length:
255Maximum string length:
255Maximum string length:
100Maximum string length:
100Maximum string length:
20Maximum string length:
2Maximum string length:
100Maximum string length:
100Maximum string length:
255Maximum string length:
50Maximum string length:
255Maximum string length:
255Maximum string length:
100Maximum string length:
100Maximum string length:
20Maximum string length:
2Response
Contact update task created and queued for processing
register- registertransfer_in- transfer intransfer_out- transfer outrenew- renewupdate_nameservers- update nameserversupdate_contacts- update contactsget_epp_code- get epp codeenable_whois_privacy- enable whois privacydisable_whois_privacy- disable whois privacylock_domain- lock domainunlock_domain- unlock domaincreate_dns_zone- create dns zonedelete_dns_zone- delete dns zonecreate_dns_record- create dns recordupdate_dns_record- update dns recorddelete_dns_record- delete dns recordsync_dns_records- sync dns records
Available options:
register, transfer_in, transfer_out, renew, update_nameservers, update_contacts, get_epp_code, enable_whois_privacy, disable_whois_privacy, lock_domain, unlock_domain, create_dns_zone, delete_dns_zone, create_dns_record, update_dns_record, delete_dns_record, sync_dns_records pending- pendingrunning- runningcompleted- completedfailed- failedcancelled- cancelled
Available options:
pending, running, completed, failed, cancelled ⌘I

